Bullet Collision Detection & Physics Library: Bullet::btTypedConstraintData Class Reference

Bullet Collision Detection & Physics Library

Public Attributes | List of all members
Bullet::btTypedConstraintData Class Reference

`#include <bullet.h>`

Collaboration diagram for Bullet::btTypedConstraintData:
[legend]

## Public Attributes
bInvalidHandle * | m_rbA
bInvalidHandle * | m_rbB
char * | m_name
int | m_objectType
int | m_userConstraintType
int | m_userConstraintId
int | m_needsFeedback
float | m_appliedImpulse
float | m_dbgDrawSize
int | m_disableCollisionsBetweenLinkedBodies
int | m_overrideNumSolverIterations
float | m_breakingImpulseThreshold
int | m_isEnabled

## Detailed Description

Definition at line 770 of file bullet.h.

## Member Data Documentation

## § m_appliedImpulse

float Bullet::btTypedConstraintData::m_appliedImpulse

Definition at line 780 of file bullet.h.

## § m_breakingImpulseThreshold

float Bullet::btTypedConstraintData::m_breakingImpulseThreshold

Definition at line 784 of file bullet.h.

## § m_dbgDrawSize

float Bullet::btTypedConstraintData::m_dbgDrawSize

Definition at line 781 of file bullet.h.

## § m_disableCollisionsBetweenLinkedBodies

int Bullet::btTypedConstraintData::m_disableCollisionsBetweenLinkedBodies

Definition at line 782 of file bullet.h.

## § m_isEnabled

int Bullet::btTypedConstraintData::m_isEnabled

Definition at line 785 of file bullet.h.

## § m_name

char* Bullet::btTypedConstraintData::m_name

Definition at line 775 of file bullet.h.

## § m_needsFeedback

int Bullet::btTypedConstraintData::m_needsFeedback

Definition at line 779 of file bullet.h.

## § m_objectType

int Bullet::btTypedConstraintData::m_objectType

Definition at line 776 of file bullet.h.

## § m_overrideNumSolverIterations

int Bullet::btTypedConstraintData::m_overrideNumSolverIterations

Definition at line 783 of file bullet.h.

## § m_rbA

bInvalidHandle* Bullet::btTypedConstraintData::m_rbA

Definition at line 773 of file bullet.h.

## § m_rbB

bInvalidHandle* Bullet::btTypedConstraintData::m_rbB

Definition at line 774 of file bullet.h.

## § m_userConstraintId

int Bullet::btTypedConstraintData::m_userConstraintId

Definition at line 778 of file bullet.h.

## § m_userConstraintType

int Bullet::btTypedConstraintData::m_userConstraintType

Definition at line 777 of file bullet.h.

The documentation for this class was generated from the following file:

- bullet.h